apiVersion: "ryax.tech/v1"
kind: Workflows
spec:
  human_name: Cut a video and recreates it.
  functions:
    - id: get-video
      from: postgw
      version: "1.0"
      require_external_web_access: true
      position:
        x: 0
        y: 0
      inputs_values:
        introduction: "Submit a video to detect object in it."
      outputs:
        - help: "."
          human_name: "video"
          name: video
          type: file
      streams_to: ["cut-video"]
    - id: cut-video
      from: videoframebyframe
      version: "1.0"
      position:
        x: 1
        y: 1
      inputs_values:
        video: "=get-video.video"
      streams_to: ["writevideo"]
    - id: writevideo
      from: writevideo
      version: "1.0"
      position:
        x: 3
        y: 3
      inputs_values:
        frames: "=cut-video.frames"
      streams_to: []
